> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update AWS Bedrock integration

> Create or update an AWS integration for this user from Galileo.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json put /v2/integrations/aws_bedrock
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/integrations/aws_bedrock:
    put:
      tags:
        - integrations
      summary: Create or update AWS Bedrock integration
      description: Create or update an AWS integration for this user from Galileo.
      operationId: create_or_update_integration_v2_integrations_aws_bedrock_put
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BaseAwsIntegrationCreate'
              examples:
                - credential_type: key_secret
                  region: us-west-2
                  inference_profiles: {}
                  token:
                    aws_access_key_id: AWSA46AWSAWSBEDR0C45K
                    aws_secret_access_key: sagasg2t0-9527@$s1ashsahfahfddsg
                - credential_type: assumed_role
                  region: us-west-1
                  inference_profiles: {}
                  token:
                    aws_role_arn: arn:aws:iam::1234567901:role/AWSBedrockAccessRole
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    BaseAwsIntegrationCreate:
      properties:
        multi_modal_config:
          anyOf:
            - $ref: '#/components/schemas/MultiModalModelIntegrationConfig'
            - type: 'null'
          description: Configuration for multi-modal (file upload) capabilities.
        credential_type:
          $ref: '#/components/schemas/AwsCredentialType'
          default: key_secret
        region:
          type: string
          title: Region
          default: us-west-2
        inference_profiles:
          additionalProperties:
            type: string
          type: object
          title: Inference Profiles
          description: >-
            Mapping from model name (Foundation model ID) to inference profile
            ARN or ID
        token:
          additionalProperties:
            type: string
          type: object
          title: Token
      type: object
      required:
        - token
      title: BaseAwsIntegrationCreate
    IntegrationDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          $ref: '#/components/schemas/IntegrationName'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid4
          title: Created By
        is_selected:
          type: boolean
          title: Is Selected
          default: false
        is_disabled:
          type: boolean
          title: Is Disabled
          default: false
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
        - created_by
      title: IntegrationDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MultiModalModelIntegrationConfig:
      properties:
        max_files:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Max Files
          description: Maximum number of files allowed per request. None means no limit.
        max_file_size_bytes:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Max File Size Bytes
          description: Maximum file size in bytes per file. None means no limit.
      type: object
      title: MultiModalModelIntegrationConfig
      description: Configuration for multi-modal capabilities (file uploads).
    AwsCredentialType:
      type: string
      enum:
        - assumed_role
        - key_secret
      title: AwsCredentialType
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    IntegrationName:
      type: string
      enum:
        - anthropic
        - aws_bedrock
        - aws_sagemaker
        - azure
        - custom
        - databricks
        - mistral
        - nvidia
        - openai
        - vegas_gateway
        - vertex_ai
        - writer
      title: IntegrationName
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````